Bug 38336 - notifications should have dir and replaceId attributes
Summary: notifications should have dir and replaceId attributes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: John Gregg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-29 11:28 PDT by John Gregg
Modified: 2010-05-04 10:52 PDT (History)
4 users (show)

See Also:


Attachments
Patch (9.68 KB, patch)
2010-04-29 12:03 PDT, John Gregg
dimich: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Gregg 2010-04-29 11:28:21 PDT
Two new attributes have been added to the w3c draft spec; webkit should add these.
Comment 1 John Gregg 2010-04-29 12:03:38 PDT
Created attachment 54726 [details]
Patch
Comment 2 Dmitry Titov 2010-04-29 15:23:06 PDT
Comment on attachment 54726 [details]
Patch

r=me with 2 notes (can be done on landing):
- please add the link to the spec version you implementing to the bug notes
- it would be nice to tell in the ChangeLog that tests are diasabled for all but Chromium.
Comment 3 John Gregg 2010-04-29 16:33:21 PDT
The draft spec for Web Notifications is http://dev.w3.org/2006/webapi/WebNotifications/publish/
Comment 4 WebKit Commit Bot 2010-05-02 01:25:15 PDT
Comment on attachment 54726 [details]
Patch

Rejecting patch 54726 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Dmitry Titov', u'--force']" exit_code: 1
Last 500 characters of output:
 fuzz 3.
patching file LayoutTests/fast/notifications/notifications-replace-expected.txt
patching file LayoutTests/fast/notifications/notifications-replace.html
patching file LayoutTests/fast/notifications/notifications-rtl-expected.txt
patching file LayoutTests/fast/notifications/notifications-rtl.html
patching file LayoutTests/platform/chromium/test_expectations.txt
Hunk #1 FAILED at 2875.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/chromium/test_expectations.txt.rej

Full output: http://webkit-commit-queue.appspot.com/results/1975016
Comment 5 John Gregg 2010-05-04 10:21:32 PDT
Committed r58765: <http://trac.webkit.org/changeset/58765>
Comment 6 WebKit Review Bot 2010-05-04 10:52:31 PDT
http://trac.webkit.org/changeset/58765 might have broken Qt Linux Release